<?php 
if( !defined( 'ABSPATH') && !defined('WP_UNINSTALL_PLUGIN') )
	exit();

/**
 * disable deletion of anything 
 * @since 5.0
 
$currentFile = __FILE__;
$currentFolder = dirname($currentFile);
require_once $currentFolder . '/inc_php/globals.class.php';

global $wpdb;
$tableSliders = $wpdb->prefix . DestumSliderGlobals::TABLE_SLIDERS_NAME;
$tableSlides = $wpdb->prefix . DestumSliderGlobals::TABLE_SLIDES_NAME;
$tableSettings = $wpdb->prefix . DestumSliderGlobals::TABLE_SETTINGS_NAME;
$tableCss = $wpdb->prefix . DestumSliderGlobals::TABLE_CSS_NAME;
$tableAnims = $wpdb->prefix . DestumSliderGlobals::TABLE_LAYER_ANIMS_NAME;
$tableStaticSlides = $wpdb->prefix . DestumSliderGlobals::TABLE_STATIC_SLIDES_NAME;

$wpdb->query( "DROP TABLE $tableSliders" );
$wpdb->query( "DROP TABLE $tableSlides" );
$wpdb->query( "DROP TABLE $tableSettings" );
$wpdb->query( "DROP TABLE $tableCss" );
$wpdb->query( "DROP TABLE $tableAnims" );
$wpdb->query( "DROP TABLE $tableStaticSlides" );

//deactivate activation if plugin was activated

delete_option('DestumSlider-latest-version');
delete_option('DestumSlider-update-check-short');
delete_option('DestumSlider-update-check');
delete_option('DestumSlider_update_info');
delete_option('DestumSlider-code');
delete_option('DestumSlider-valid');
delete_option('DestumSlider-valid-notice');
*/

//needs to be deleted so that everything gets checked at a new installation
delete_option('DestumSlider_table_version');
delete_option('DestumSlider_checktables');
delete_option('rs_public_version');
?>